# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ConversionBasedUnitAndPlaneAngleUnit Class Reference

`#include <StepBasic_ConversionBasedUnitAndPlaneAngleUnit.hxx>`

Inheritance diagram for StepBasic_ConversionBasedUnitAndPlaneAngleUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ConversionBasedUnitAndPlaneAngleUnit ()
| Returns a ConversionBasedUnitAndPlaneAngleUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions, const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_MeasureWithUnit)&aConversionFactor)
Standard_EXPORT void | SetPlaneAngleUnit (const Handle(StepBasic_PlaneAngleUnit)&aPlaneAngleUnit)
Standard_EXPORT Handle_StepBasic_PlaneAngleUnit | PlaneAngleUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_PlaneAngleUnit | planeAngleUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ConversionBasedUnitAndPlaneAngleUnit::StepBasic_ConversionBasedUnitAndPlaneAngleUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ConversionBasedUnitAndPlaneAngleUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndPlaneAngleUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_MeasureWithUnit)& | aConversionFactor
| ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndPlaneAngleUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

Standard_EXPORT Handle_StepBasic_PlaneAngleUnit StepBasic_ConversionBasedUnitAndPlaneAngleUnit::PlaneAngleUnit | ( |  | ) | const

Standard_EXPORT void StepBasic_ConversionBasedUnitAndPlaneAngleUnit::SetPlaneAngleUnit | ( | const Handle(StepBasic_PlaneAngleUnit)& | aPlaneAngleUnit | ) |

## Field Documentation

Handle_StepBasic_PlaneAngleUnit StepBasic_ConversionBasedUnitAndPlaneAngleUnit::planeAngleUnit`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ConversionBasedUnitAndPlaneAngleUnit.hxx